Subject: Re: i386-current: Perl dynaloader mysteriously failing?
To: Giles Lean <>
From: Grey Wolf <>
List: current-users
Date: 09/29/2000 16:13:47
On Sat, 30 Sep 2000, Giles Lean wrote:

# > Without warning, I've suddenly found myself on a system where
# > perl's dynamic loader is failing, and it's taking several
# > applications with it.  Would a dated ld.elf_so cause this problem?
# > Does anyone else see this problem?
# Did it ever work?  What's the error message?  What platform?  What
# version of perl?
# I did see a similar problem on 1.4.2/i386 with perl 5.6, but it
# caused the install to fail.  -current/i386 with ELF instead of
# a.out didn't have this problem though, so I suspect you are seeing
# something different ...

Ah, a response!  More than I've had all week. :-)

It turns out that I had completely overlooked updating
/usr/libexec/ld.elf_so.  I updated that and my problems mysteriously

Silly me thought that ld.*_so were part of rtld under gnu/usr.bin
somewhere hidden.  Never thought to look in plain sight.

Sorry to have troubled y'all.


	/* Need OpenSource servers?  Try BSD - Solid as a Rock. */